@echo off
set target=%1
if {%target%}=={} goto SYNTAX
if not exist "%target%.c" goto FILEEXIST
echo ----------------------------------------------------------------
echo Now trying to build a binary from %target%.c
echo ----------------------------------------------------------------
echo.
if exist "%target%.exe" del %target%.exe
if exist "%target%.obj" del %target%.obj
if exist "%target%.res" del %target%.res
if exist "%target%.rc" rc /r %target%.rc
if exist "%target%.res" (
  cl %target%.c /nologo /Ox /link "%target%.res"
) else (
  cl %target%.c /nologo /Ox
)
echo.
if exist "%target%.exe" (
  for /f "skip=3 tokens=3,4" %%i in ('dir %target%.exe') do (
    if {%%j}=={%target%.exe} echo Built %%j with %%i Bytes
  )
) else (
  echo %target%.exe could not be built!
)
goto EOF
:SYNTAX
echo Syntax: %0 [filename without extension]
goto EOF
:FILEEXIST
echo The given file %target%.c must exist to be compiled!!!
goto EOF
:EOF
echo.
